diff --git a/channels/chan_h323.c b/channels/chan_h323.c
index 0d2a9ee..20c9b3e 100644
--- a/channels/chan_h323.c
+++ b/channels/chan_h323.c
@@ -1750,7 +1750,6 @@ static int create_addr(struct oh323_pvt *pvt, char *opeer)
 }
 static struct ast_channel *oh323_request(const char *type, format_t format, const struct ast_channel *requestor, void *data, int *cause)
 {
-	format_t oldformat;
 	struct oh323_pvt *pvt;
 	struct ast_channel *tmpc = NULL;
 	char *dest = (char *)data;
@@ -1766,7 +1765,6 @@ static struct ast_channel *oh323_request(const char *type, format_t format, cons
 		ast_log(LOG_WARNING, "Unable to build pvt data for '%s'\n", (char *)data);
 		return NULL;
 	}
-	oldformat = format;
 	format &= AST_FORMAT_AUDIO_MASK;
 	if (!format) {
 		ast_log(LOG_NOTICE, "Asked to get a channel of unsupported format '%s'\n", ast_getformatname_multiple(tmp, sizeof(tmp), format));
@@ -3194,6 +3192,7 @@ static enum ast_rtp_glue_result oh323_get_rtp_peer(struct ast_channel *chan, str
 	return res;
 }
 
+#if 0
 static char *convertcap(format_t cap)
 {
 	switch (cap) {
@@ -3220,6 +3219,7 @@ static char *convertcap(format_t cap)
 		return NULL;
 	}
 }
+#endif
 
 static int oh323_set_rtp_peer(struct ast_channel *chan, struct ast_rtp_instance *rtp, struct ast_rtp_instance *vrtp, struct ast_rtp_instance *trtp, format_t codecs, int nat_active)
 {
@@ -3227,13 +3227,11 @@ static int oh323_set_rtp_peer(struct ast_channel *chan, struct ast_rtp_instance
 	struct oh323_pvt *pvt;
 	struct sockaddr_in them = { 0, };
 	struct sockaddr_in us = { 0, };
-	char *mode;
 
 	if (!rtp) {
 		return 0;
 	}
 
-	mode = convertcap(chan->writeformat);
 	pvt = (struct oh323_pvt *) chan->tech_pvt;
 	if (!pvt) {
 		ast_log(LOG_ERROR, "No Private Structure, this is bad\n");
